Bug 991338 - Headpin Nightly : Attaching a subscriptions to a distributor using cli `subscribe` fails
Headpin Nightly : Attaching a subscriptions to a distributor using cli `subs...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
Nightly
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Tom McKay
sthirugn@redhat.com
: Triaged
Depends On:
Blocks: sam20-tracker
  Show dependency treegraph
 
Reported: 2013-08-02 03:55 EDT by Tazim Kolhar
Modified: 2014-06-19 15:07 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-30 13:33:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tazim Kolhar 2013-08-02 03:55:01 EDT
Description of problem:
Attaching a subscriptions to a distributor using cli `subscribe` fails

Version-Release number of selected component (if applicable):
# rpm -qa | grep katello
katello-certs-tools-1.4.2-1.el6.noarch
katello-glue-elasticsearch-1.4.3-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-1.4.3-1.el6.noarch
katello-cli-common-1.4.3-1.el6.noarch
katello-glue-candlepin-1.4.3-1.el6.noarch
katello-selinux-1.4.4-1.el6.noarch
signo-katello-0.0.9-1.el6.noarch
katello-headpin-1.4.3-1.el6.noarch
katello-common-1.4.3-1.el6.noarch
katello-headpin-all-1.4.3-1.el6.noarch
katello-configure-1.4.4-1.el6.noarch



How reproducible:
# yum install -y katello-headpin-all
# katello-configure --deployment=headpin --user-pass=****

Steps to Reproduce:
1.# headpin -u admin -p admin distributor create --name test_dist --org ACME_Corporation

Successfully created distributor [ test_dist ]

2.# headpin -u admin -p admin org subscriptions --name ACME_Corporation 
--------------------------------------------------------------------------------
                          Organization's Subscriptions
--------------------------------------------------------------------------------

Subscription    : High-Availability (8 sockets)
Consumed        : 0
Contract Number : None
SLA             : 
ID              : 8a90a98f40398e2d01403dfee617006a
Limits:
    [ Sockets: 8 ]
Start Date      : 2012/12/31 05:00:00
End Date        : 2013/12/31 04:59:59


Subscription    : Resilient Storage (8 sockets)
Consumed        : 0
Contract Number : None
SLA             : 
ID              : 8a90a98f40398e2d01403dfee5e2005a
Limits:
    [ Sockets: 8 ]
Start Date      : 2012/12/31 05:00:00
End Date        : 2013/12/31 04:59:59


Subscription    : Red Hat Enterprise Linux Server, Self-support (1-2 sockets) (Up to 1 guest)
Consumed        : 0
Contract Number : None
SLA             : 
ID              : 8a90a98f40398e2d01403dfee58f0048
Limits:
    [ Sockets: 2 ]
Start Date      : 2012/12/31 05:00:00
End Date        : 2013/12/31 04:59:59


3.#  headpin -u admin -p admin distributor subscribe --org ACME_Corporation --name test_dist --pool '8a90a98f40398e2d01403dfee58f0048'
Couldn't find system ''

4.In UI also, we see that no subscriptions is attached

Actual results:
Subscriptions attachment to distributor in cli failed

Expected results:
Subscriptions attachment to distributor in cli successful

Additional info:
Comment 2 sthirugn@redhat.com 2013-09-17 11:20:11 EDT
This failed in SAM 1.3 Snap 6.

* candlepin-0.8.26-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.26-1.el6sam.noarch
* candlepin-tomcat6-0.8.26-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-2.el6sat.noarch
* katello-cli-1.4.3-10.el6sat.noarch
* katello-cli-common-1.4.3-10.el6sat.noarch
* katello-common-1.4.3-13.el6sam_splice.noarch
* katello-configure-1.4.4-4.el6sat.noarch
* katello-glue-candlepin-1.4.3-13.el6sam_splice.noarch
* katello-glue-elasticsearch-1.4.3-13.el6sam_splice.noarch
* katello-headpin-1.4.3-13.el6sam_splice.noarch
* katello-headpin-all-1.4.3-13.el6sam_splice.noarch
* katello-selinux-1.4.4-2.el6sat.noarch
* thumbslug-0.0.34-1.el6sam.noarch
* thumbslug-selinux-0.0.34-1.el6sam.noarch
Comment 5 sthirugn@redhat.com 2014-04-30 13:33:10 EDT
Custom Distributor not relevant to Sat 6 now.

Note You need to log in before you can comment on or make changes to this bug.